/// <reference types="react-syntax-highlighter" />
import React from 'react';
import { ColorValue } from 'react-native';
import { SyntaxHighlighterStyleType } from './SyntaxHighlighter';
export declare type CodeEditorStyleType = SyntaxHighlighterStyleType & {
    /**
     * Editor height.
     */
    height?: string | number;
    /**
     * Editor width.
     */
    width?: string | number;
    /**
     * Editor top margin.
     */
    marginTop?: string | number;
    /**
     * Editor bottom margin.
     */
    marginBottom?: string | number;
    /**
     * Use this property to align the text input with the syntax highlighter text.
     * @see highlighterLineHeight
     */
    inputLineHeight?: number;
    /**
     * Use this property to help you align the text input with the syntax highlighter text.
     * Do not use in production.
     * @see highlighterColor
     */
    inputColor?: ColorValue;
};
export declare const CodeEditorSyntaxStyles: typeof import("react-syntax-highlighter/dist/esm/styles/hljs");
declare const CodeEditorWithForwardRef: React.ForwardRefExoticComponent<Pick<any, string | number | symbol> & React.RefAttributes<unknown>>;
export default CodeEditorWithForwardRef;
